Skip to content
Permalink
Browse files
[WPE] Do not require XSLT if disabled
https://bugs.webkit.org/show_bug.cgi?id=177752

Patch by Olivier Blin <olivier.blin@softathome.com> on 2017-10-02
Reviewed by Michael Catanzaro.

* Source/cmake/OptionsWPE.cmake: libxslt is not a hard dep

Canonical link: https://commits.webkit.org/194010@main
git-svn-id: https://svn.webkit.org/repository/webkit/trunk@222727 268f45cc-cd09-0410-ab3c-d52691b4dbfc
  • Loading branch information
blino authored and webkit-commit-queue committed Oct 2, 2017
1 parent 75b59dd commit 63776812a7e6656f60160c8fdede44154e661ba1
Showing with 13 additions and 1 deletion.
  1. +9 −0 ChangeLog
  2. +4 −1 Source/cmake/OptionsWPE.cmake
@@ -1,3 +1,12 @@
2017-10-02 Olivier Blin <olivier.blin@softathome.com>

[WPE] Do not require XSLT if disabled
https://bugs.webkit.org/show_bug.cgi?id=177752

Reviewed by Michael Catanzaro.

* Source/cmake/OptionsWPE.cmake: libxslt is not a hard dep

2017-10-02 Michael Catanzaro <mcatanzaro@igalia.com>

Remove ENABLE_CSS_REGIONS
@@ -69,13 +69,16 @@ find_package(LibEpoxy 1.4.0 REQUIRED)
find_package(LibGcrypt 1.6.0 REQUIRED)
find_package(LibSoup 2.42.0 REQUIRED)
find_package(LibXml2 2.8.0 REQUIRED)
find_package(LibXslt 1.1.7 REQUIRED)
find_package(PNG REQUIRED)
find_package(Sqlite REQUIRED)
find_package(WebP REQUIRED)

find_package(WPEBackend REQUIRED)

if (ENABLE_XSLT)
find_package(LibXslt 1.1.7 REQUIRED)
endif ()

set(USE_CAIRO ON)
set(USE_XDGMIME ON)
SET_AND_EXPOSE_TO_BUILD(USE_GCRYPT TRUE)

0 comments on commit 6377681

Please sign in to comment.